package com.ss.android.ugc.aweme.im.sdk.common.controller.providedservices;

import X.7he;
import X.9Iy;
import X.C1602Ikj;
import X.C2315IwE;
import X.Crj;
import X.Dta;
import X.Ec2;
import X.IQZ;
import com.bytedance.covode.number.Covode;

public final class IMServiceProvider {
    public static final IMServiceProvider INSTANCE = new IMServiceProvider();
    public static final Crj familiarService$delegate = 7he.LIZ(IMServiceProvider$familiarService$2.INSTANCE);
    public static final Crj imInboxDmService$delegate = 7he.LIZ(IMServiceProvider$imInboxDmService$2.INSTANCE);
    public static final Crj inboxAdapterService$delegate = 7he.LIZ(IMServiceProvider$inboxAdapterService$2.INSTANCE);
    public static final Crj relationService$delegate = 7he.LIZ(IMServiceProvider$relationService$2.INSTANCE);
    public static final Crj shareService$delegate = 7he.LIZ(IMServiceProvider$shareService$2.INSTANCE);
    public static final Crj systemSmallEmojiService$delegate = 7he.LIZ(IMServiceProvider$systemSmallEmojiService$2.INSTANCE);

    public final IQZ getFamiliarService() {
        return (IQZ) familiarService$delegate.getValue();
    }

    public final Dta getImInboxDmService() {
        return (Dta) imInboxDmService$delegate.getValue();
    }

    public final C1602Ikj getInboxAdapterService() {
        return (C1602Ikj) inboxAdapterService$delegate.getValue();
    }

    public final Ec2 getRelationService() {
        return (Ec2) relationService$delegate.getValue();
    }

    public final C2315IwE getShareService() {
        return (C2315IwE) shareService$delegate.getValue();
    }

    public final 9Iy getSystemSmallEmojiService() {
        return (9Iy) systemSmallEmojiService$delegate.getValue();
    }

    static {
        Covode.recordClassIndex(86074);
    }
}
